import { Component } from '@angular/core';
import { FormsModule } from '@angular/forms';  // 导入 FormsModule 用于 ngModel（双向绑定）
import { IonicModule } from '@ionic/angular';  // 必须导入 IonicModule，来使用 Ionic 组件
import { CommonModule } from '@angular/common';  // 必须导入 CommonModule，来处理 ngIf、ngModel 等指令

@Component({
  selector: 'app-tab1',
  standalone: true,
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss'],
  imports: [
    IonicModule,      // 导入 IonicModule 来使用 IonHeader、IonToolbar 等组件
    CommonModule,     // 导入 CommonModule 来使用结构指令（如 ngIf）
    FormsModule       // 导入 FormsModule 用于 ngModel（双向绑定）
  ]
})
export class Tab1Page {
  selectedTab: string = 'recommend';  // 默认选中 "推荐" 标签

  recommendations = [
    { title: '智能跑步机', subtitle: '最新款', description: '适合家庭使用的智能跑步机，享受便捷运动体验。', image: 'https://example.com/running-machine.jpg' },
    { title: '瑜伽垫', subtitle: '舒适型', description: '采用高质量材料，给你最舒适的瑜伽体验。', image: 'https://example.com/yoga-mat.jpg' },
  ];

  activities = [
    { title: '冬季滑雪大赛', date: '2024-12-10', description: '加入我们，挑战滑雪极限！' },
    { title: '夏季自行车比赛', date: '2024-06-15', description: '感受骑行的乐趣，挑战极限！' },
  ];

  courses = [
    { title: '高级瑜伽课程', instructor: '王老师', description: '为您提供更加深度的瑜伽体验，提升身体和心理健康。' },
    { title: '马拉松训练营', instructor: '李教练', description: '为马拉松爱好者提供专业的训练课程，帮助提升跑步成绩。' },
  ];

  // 立即购买操作
  buyNow(): void {
    console.log('立即购买');
  }

  // 注册活动
  register(activity: { title: string; date: string; description: string }): void {
    console.log('注册活动:', activity);
  }

  // 注册课程
  enroll(course: { title: string; instructor: string; description: string }): void {
    console.log('注册课程:', course);
  }
}
